/* 
 * Program:             $RCSfile: CommentView.h,v $  $Revision: 40.4 $
 * 
 * Purpose:             Class definition of CommentView.
 * 
 * Author:              K.Hoshino  2001/10/27
 *                      S.Yamamoto  2001/10/27 
 * 
 * (C) Copyright:       K.Hoshino and S.Yamamoto  2001 - 2003
 *                      This file is a product of the project Sapid.
 */

/*
 * $Id: CommentView.h,v 40.4 2003/02/20 15:12:52 yamamoto Exp yamamoto $
 */

#ifndef _SAPID_COMMENT_VIEW_H
#define _SAPID_COMMENT_VIEW_H

/* Class id. */

#define SPD_CID_PCOMMENT                   (SPD_FIRST_CID_COMMENT_VIEW + 0)
#define SPD_CID_LCOMMENT                   (SPD_FIRST_CID_COMMENT_VIEW + 1)

#if (SPD_CID_LCOMMENT != SPD_LAST_CID_COMMENT_VIEW)
    "Invalid configuration."
#endif

#define SPD_CID_NUM_COMMENT_VIEW \
        (SPD_LAST_CID_COMMENT_VIEW - SPD_FIRST_CID_COMMENT_VIEW + 1)

/* Relation id. */

#define SPD_RID_PFILE_PCOMMENT             (SPD_FIRST_RID_COMMENT_VIEW + 0)
#define SPD_RID_PCOMMENT_LCOMMENT          (SPD_FIRST_RID_COMMENT_VIEW + 1)
#define SPD_RID_LCOMMENT_PFILE             (SPD_FIRST_RID_COMMENT_VIEW + 2)
#define SPD_RID_LCOMMENT_PBLOCK            (SPD_FIRST_RID_COMMENT_VIEW + 3)
#define SPD_RID_LCOMMENT_DECLARATION       (SPD_FIRST_RID_COMMENT_VIEW + 4)
#define SPD_RID_LCOMMENT_LABEL             (SPD_FIRST_RID_COMMENT_VIEW + 5)
#define SPD_RID_LCOMMENT_EXPRESSION        (SPD_FIRST_RID_COMMENT_VIEW + 6)
#define SPD_RID_LCOMMENT_BLOCK             (SPD_FIRST_RID_COMMENT_VIEW + 7)

#if (SPD_RID_LCOMMENT_BLOCK != SPD_LAST_RID_COMMENT_VIEW)
    "Invalid configuration."
#endif

#define SPD_RID_NUM_COMMENT_VIEW \
        (SPD_LAST_RID_COMMENT_VIEW - SPD_FIRST_RID_COMMENT_VIEW + 1)

/* Number of all classes and relations. */

#define SPD_CRID_NUM_COMMENT_VIEW \
        (SPD_CID_NUM_COMMENT_VIEW + SPD_RID_NUM_COMMENT_VIEW)

/******************************************************************************/

/* Attribute values. */

#define LINT_FALLTHROUGH               1

/******************************************************************************/

#define SPD_COMMENT_VIEW_VERSION       1

extern SpdDBModel Comment_view;

#endif /* _SAPID_COMMENT_VIEW_H */
