/* 
 * Program:             $RCSfile: TypeView.h,v $  $Revision: 31.3 $
 * 
 * Purpose:             Class definition of TypeView.
 * 
 * Author:              T.Hidaka  1998/05/21
 *                      S.Yamamoto  1998/05/23
 * 
 * (C) Copyright:       T.Hidaka and S.Yamamoto  1998 - 2003
 *                      This file is a product of the project Sapid.
 */

/*
 * $Id: TypeView.h,v 31.3 2003/02/20 15:12:51 yamamoto Exp yamamoto $
 */

#ifndef _SPD_TYPE_VIEW_H
#define _SPD_TYPE_VIEW_H

/* Class id. */

#define SPD_CID_MEMBER              (SPD_FIRST_CID_TYPE_VIEW + 0)
#define SPD_CID_ENUMERATOR          (SPD_FIRST_CID_TYPE_VIEW + 1)

#if (SPD_CID_ENUMERATOR != SPD_LAST_CID_TYPE_VIEW)
    "Invalid configuration."
#endif

#define SPD_CID_NUM_TYPE_VIEW \
        (SPD_LAST_CID_TYPE_VIEW - SPD_FIRST_CID_TYPE_VIEW + 1)

/* Relation id. */

#define SPD_RID_STRUCT_MEMBER       (SPD_FIRST_RID_TYPE_VIEW + 0)
#define SPD_RID_MEMBER_TYPE         (SPD_FIRST_RID_TYPE_VIEW + 1)
#define SPD_RID_MEMBER_NAME         (SPD_FIRST_RID_TYPE_VIEW + 2)
#define SPD_RID_ENUM_ENUMERATOR     (SPD_FIRST_RID_TYPE_VIEW + 3)
#define SPD_RID_ENUMERATOR_NAME     (SPD_FIRST_RID_TYPE_VIEW + 4)
#define SPD_RID_ARRAY_NUM           (SPD_FIRST_RID_TYPE_VIEW + 5)
/* #define SPD_RID_FUNC_ARGTYPE        (SPD_FIRST_RID_TYPE_VIEW + 6) */

#if (SPD_RID_ARRAY_NUM != SPD_LAST_RID_TYPE_VIEW)
    "Invalid configuration."
#endif

#define SPD_RID_NUM_TYPE_VIEW \
        (SPD_LAST_RID_TYPE_VIEW - SPD_FIRST_RID_TYPE_VIEW + 1)

/* Number of all classes and relations. */

#define SPD_CRID_NUM_TYPE_VIEW \
        (SPD_CID_NUM_TYPE_VIEW + SPD_RID_NUM_TYPE_VIEW)

/******************************************************************************/

#define SPD_TYPE_VIEW_VERSION       1

extern SpdDBModel TypeView_model;

#endif /* _SPD_TYPE_VIEW_H */
