/* 
 * Program:             $RCSfile: lineTbl.h,v $  $Revision: 31.4 $
 * 
 * Purpose:             
 * 
 * Author:              M.Hakamata  1997/05/21
 *                      S.Yamamoto  1995/05/24
 * 
 * (C) Copyright:       M.Hakamata and S.Yamamoto  1997 - 2001
 *                      This file is a product of the project Sapid.
 */

#ifndef _SPD_LINETBL_H
#define _SPD_LINETBL_H

/* 
 * եγƹԤƬʸ֤˴ؤơ֥롥
 */

typedef struct {
    int     *offset;
    int     linenum;
} SpdLineTbl;

#ifdef SAPID_AR3_KERNEL

SpdLineTbl spdCreateLineTbl(char *p, int buflen);
void spdFreeLineTbl(SpdLineTbl tbl);
SpdLineTbl spdGetLineTbl(SpdObjId fileId);
void spdReleaseLineTbl(void);

#endif /* SAPID_AR3_KERNEL */

int spdCnvLineColumnToOffsetSub(SpdLineTbl tbl, int line, int column);
int spdCnvOffsetToLineColumnSub(SpdLineTbl tbl, int offset,
                                int *line, int *column);

/* Moved from "lineTbl.h" 1998/03/03. */
int lineConvertItoCwithTbl(char *, int, char *, int, SpdLineTbl);

#endif /* _SPD_LINETBL_H */
